Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class ConexaoServidor

    java.lang.Object
      estella.lib.ConexaoServidor

    public class ConexaoServidor

extends java.lang.Object

Funcoes para gerenciar conexoes de entrada

Since:
  22/11/2005

Constructor Summary
`ConexaoServidor()` Instancia uma nova conexao
`ConexaoServidor(int porta)`

Method Summary
`java.net.Socket` | `escuta()` Escuta conexao de entrada, ate receber uma requisicao
`boolean` | `fecha()` Fecha conexao de entrada
`boolean` | `inicia()` Cria um socket servidor, setando os parametros necessarios
`int` | `porta()` Retorna a porta que o servidor esta escutando
`java.net.ServerSocket` | `status()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConexaoServidor

    public ConexaoServidor()

  Instancia uma nova conexao

  Parameters:
    `porta` - - Constante porta definida pelo usuario ou na classe de constantes

### ConexaoServidor

    public ConexaoServidor(int porta)

Method Detail

### inicia

    public boolean inicia()

  Cria um socket servidor, setando os parametros necessarios

  Returns:
    true ou false / se a conexao foi criada e se modo leitura e gravacao estao prontos

### escuta

    public java.net.Socket escuta()

  Escuta conexao de entrada, ate receber uma requisicao

  Parameters:
    `ServerSocket` -
  Returns:
    Socket

### porta

    public int porta()

  Retorna a porta que o servidor esta escutando

  Returns:
    porta inteiro com a porta que o servidor esta escutando

### status

    public java.net.ServerSocket status()

### fecha

    public boolean fecha()

  Fecha conexao de entrada

  Parameters:
    `ServerSocket` - - Socket servidor
  Returns:
    true ou false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD